### Method

# Adw Avatar set_icon_name

#### Declaration [src]

    void
    adw_avatar_set_icon_name (
      AdwAvatar* self,
      const char* icon_name
    )

#### Description [src]

Sets the name of an icon to use as a fallback.

If no name is set, `avatar-default-symbolic` will be used.

Sets property | `Adw.Avatar:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.